Browse Source

Improve a few comments and messages

Loïc Hoguin 9 years ago
parent
commit
c148e88625
3 changed files with 4 additions and 5 deletions
  1. 0 1
      core/core.mk
  2. 3 3
      core/deps.mk
  3. 1 1
      test/Makefile

+ 0 - 1
core/core.mk

@@ -178,7 +178,6 @@ core_find = $(if $(wildcard $1),$(shell find $(1:%/=%) -type f -name $(subst *,\
 
 core_lc = $(subst A,a,$(subst B,b,$(subst C,c,$(subst D,d,$(subst E,e,$(subst F,f,$(subst G,g,$(subst H,h,$(subst I,i,$(subst J,j,$(subst K,k,$(subst L,l,$(subst M,m,$(subst N,n,$(subst O,o,$(subst P,p,$(subst Q,q,$(subst R,r,$(subst S,s,$(subst T,t,$(subst U,u,$(subst V,v,$(subst W,w,$(subst X,x,$(subst Y,y,$(subst Z,z,$(1)))))))))))))))))))))))))))
 
-# @todo On Windows: $(shell dir /B $(1)); make sure to handle when no file exists.
 core_ls = $(filter-out $(1),$(shell echo $(1)))
 
 # @todo Use a solution that does not require using perl.

+ 3 - 3
core/deps.mk

@@ -61,8 +61,8 @@ endif
 			if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ]; then \
 				$(MAKE) -C $$dep IS_DEP=1 || exit $$?; \
 			else \
-				echo "ERROR: No Makefile to build dependency $$dep."; \
-				exit 1; \
+				echo "Error: No Makefile to build dependency $$dep."; \
+				exit 2; \
 			fi \
 		fi \
 	done
@@ -521,7 +521,7 @@ define dep_fetch_hex
 endef
 
 define dep_fetch_fail
-	echo "Unknown or invalid dependency: $(1). Please consult the erlang.mk README for instructions." >&2; \
+	echo "Error: Unknown or invalid dependency: $(1)." >&2; \
 	exit 78;
 endef
 

+ 1 - 1
test/Makefile

@@ -164,7 +164,7 @@ core-distclean-tmp: build clean-core-distclean-tmp
 	$i "Distclean the application"
 	$t $(MAKE) -C $(APP) distclean $v
 
-	$i "Check if .erlang.mk directory got removed"
+	$i "Check that .erlang.mk directory got removed"
 	$t test ! -e $(APP)/.erlang.mk
 
 core-help: build clean-core-help